Mobile Change Initiate

This API is used to change the mobile number of the customers.

In this call you will get the OTP to verify.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header reference Click here

Request Parameters

Following are the parameters to be sent in the request body:

ParametersTypeDescription
existingMobileNumberStringExisting Mobile Number of the Customer
newMobileNumberStringNew Mobile Number of the Customer
aadhaarStringEncrypted aadhaar of Merchant
latitudeStringMerchant location latitude
longitudeStringMerchant location longitude

Sample Request

curl --location --request POST 'https://api.instantpay.in/user/outlet/v2/mobileUpdate' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "existingMobileNumber": "9876543210",
    "newMobileNumber": "8976543210",
    "aadhaar" : "ZDEzNTg1OWQzNmE5NmY5ZG4koGZnmLAlV2Of7dgQyBI=",
    "latitude" : "8.00000",
    "longitude" : "68.0"
}'
POST user/outlet/v2/mobileUpdate HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "existingMobileNumber": "7078331179",
    "newMobileNumber": "8430454547",
    "aadhaar" : "ZDEzNTg1OWQzNmE5NmY5ZG4koGZnmLAlV2Of7dgQyBI=",
    "latitude" : "8.00000",
    "longitude" : "68.0"
}

Response Parameters

ParametersStringDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox

Sample Response

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain